Skip to content

Return configured compact list projection fields for one catalog target.

GET
/api/workspace/admin/catalogs/{catalogDefinitionId}/targets/{targetId}/list-fields
curl --request GET \
--url https://example.com/api/workspace/admin/catalogs/example/targets/example/list-fields \
--header 'Authorization: Bearer <token>'
catalogDefinitionId
required
string
targetId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Configured compact list projection fields for one catalog target.

object
CatalogDefinitionId

Catalog definition identifier.

string
nullable
CatalogTargetEntityDefinitionId

Catalog target identifier.

string
nullable
EntityDefinitionId

Target entity definition identifier.

string
nullable
RowVersion

Target concurrency token.

string format: uuid
Fields

Configured fields.

Array<object>
nullable

One configured compact list projection field for a catalog target.

object
Id

Catalog target list field identifier.

string
nullable
SourceKind
integer format: int32
Allowed values: 0 1
FieldKey

Provider or entity field key.

string
nullable
DisplayName

Default display name.

string
nullable
DisplayNameOverride

Optional target-specific display name.

string
nullable
ValueType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SortOrder

Display order.

integer format: int32
RowVersion

Concurrency token.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Fields": [
{
"SourceKind": 0,
"ValueType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Configured compact list projection fields for one catalog target.

object
CatalogDefinitionId

Catalog definition identifier.

string
nullable
CatalogTargetEntityDefinitionId

Catalog target identifier.

string
nullable
EntityDefinitionId

Target entity definition identifier.

string
nullable
RowVersion

Target concurrency token.

string format: uuid
Fields

Configured fields.

Array<object>
nullable

One configured compact list projection field for a catalog target.

object
Id

Catalog target list field identifier.

string
nullable
SourceKind
integer format: int32
Allowed values: 0 1
FieldKey

Provider or entity field key.

string
nullable
DisplayName

Default display name.

string
nullable
DisplayNameOverride

Optional target-specific display name.

string
nullable
ValueType
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
SortOrder

Display order.

integer format: int32
RowVersion

Concurrency token.

string format: uuid
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Fields": [
{
"SourceKind": 0,
"ValueType": 0
}
]
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}